Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.BOB
Class TCPio

    java.lang.Object
      net.i2p.BOB.TCPio

All Implemented Interfaces:
  Runnable

    public class TCPio

extends Object
implements Runnable

Shove data from one stream to the other.

Author:
  sponge

Constructor Summary
`TCPio(InputStream Ain, OutputStream Aout, AtomicBoolean lives)` Constructor

Method Summary
`void` | `run()` Copy from source to destination...

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TCPio

    TCPio(InputStream Ain,
          OutputStream Aout,
          AtomicBoolean lives)

  Constructor

  Parameters:
    `Ain` - InputStream
    `Aout` - OutputStream param database

Method Detail

### run

    public void run()

  Copy from source to destination... and yes, we are totally OK to block here on writes, The OS has buffers, and I intend to use them. We send an interrupt signal to the threadgroup to unwedge any pending writes.

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD